Subject: Re: Libtool problem under Cygwin!
From: "clifftsai" <[email-masked]>
To: "Gary V. Vaughan" <[email-masked]>, "clifftsai" <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 10 Jan 2001 09:23:45 +0800

How can I make sure which symbol is undefined in cygwin shared library?
Thanks!

----- Original Message -----
From: "Gary V. Vaughan" <[email-masked]>
To: "clifftsai" <[email-masked]>
Cc: <[email-masked]>
Sent: Wednesday, January 10, 2001 3:16 AM
Subject: Re: Libtool problem under Cygwin!

> On Tue, Jan 09, 2001 at 05:38:52PM +0800, clifftsai wrote:
> >
> > Hi:
> >     I have a problem when using Libtool to create a Libtool Shared
Library.
> >
> >     $libtool gcc -rpath /usr/loca/lib -o libtrim.la trim.lo
> >       libtool: link :warning:undefined symbols not allowed in
i586-pc-cygwin shared libraries.
> >
> >       How can I solve this problem?
>
> $ libtool gcc -rpath /usr/loca/lib -no-undefined -o libtrim.la trim.lo
>
> You need to be sure that all the symbols in trim.lo really are defined
> before you do this, since you can't have runtime symbol resolution in
> Windows.
>
> Cheers,
> Gary.
> --
>   ___              _   ___   __              _         mailto:
[email-masked]
>  / __|__ _ _ ___ _| | / / | / /_ _ _  _ __ _| |_  __ _ ___
[email-masked]
> | (_ / _` | '_|// / |/ /| |/ / _` | || / _` | ' \/ _` | _ \
>  \___\__,_|_|\_, /|___(_)___/\__,_|\_,_\__, |_||_\__,_|//_/
> home page:  /___/                      /___/                  gpg public
key:
> http://www.oranda.demon.co.uk
http://www.oranda.demon.co.uk/key.asc
>
> --
> Want to unsubscribe from this list?
> Check out: http://cygwin.com/ml/#unsubscribe-simple
>
>

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple